{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.SYS_TODO"
  },
  "caption" : "待办",
  "codeName" : "SysTodoFinishRedirectView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SysTodoFinishRedirectView.json",
  "getGetDataPSAppDEAction" : {
    "modelref" : true,
    "id" : "GetLinkUrl"
  },
  "name" : "SysTodoFinishRedirectView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SysTodo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewNavParams" : [ {
    "key" : "srfapp",
    "name" : "srfapp",
    "value" : "Web",
    "rawValue" : true
  }, {
    "key" : "todosubtype",
    "name" : "todosubtype",
    "value" : "Finish",
    "rawValue" : true
  }, {
    "key" : "todourltype",
    "name" : "todourltype",
    "value" : "todourltype",
    "rawValue" : false
  } ],
  "getPSControls" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.SYS_TODO"
    },
    "caption" : "待办",
    "codeName" : "FinishRedirectViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "FinishRedirectView",
  "getPSDEViewId" : "4117f19614913723729e357211af54cd",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEREDIRECTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/SysTodo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "getRedirectPSAppViewRefs" : [ {
    "name" : "SYS_TODO:EDITVIEW",
    "realTitle" : "待办编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.SYS_TODO.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SysTodoEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITVIEW",
    "realTitle" : "待办编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.SYS_TODO.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SysTodoEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "refFlag" : false,
  "title" : "待办数据重定向视图",
  "getTypePSAppDEField" : {
    "name" : "TODOID",
    "codeName" : "TodoId"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEREDIRECTVIEW",
  "enableCustomGetDataAction" : true,
  "enableDP" : true,
  "enableWorkflow" : true,
  "redirectView" : true,
  "modelid" : "4FE01665-FB57-4486-B69F-38CF0FD31334",
  "modeltype" : "PSAPPDEVIEW"
}